/*
	File: init.sqf
	Author: Loyalguard

	Description:
	init.sqf script for the CEG demo mission.

	Parameters:
	None.
 
	Execution:
	Executed at mission start by the game engine.
*/

// Uncomment this line to disable players from manually switching power on and off through the action menu at substation locations.  True: enabled.  False: disabled.  Default is true.
//CEG_manual = false;

// Initialize the CEG Simulation.
_nul = [] execVM "CEG\Scripts\CEG_script.sqf";

// Display the briefing.
waitUntil {!isNull player};
_nul = [] execVM "briefing.sqf";
_nul = [] execVM "berezinoPowerTask.sqf";

// Show hint.
hint "See briefing notes for more information on the Chernarus Electrical Grid Simulation.  If it is too dark use your NVGs.";

// Debug options for developer only.  Similar code is present in every script.
//CEG_DEBUG = true;
//LGD_fnc_debugMessage = compile (preprocessFileLineNumbers "CEG_DEV\LGD_fnc_debugMessage.sqf"); //DEBUG

if (!isNil "CEG_DEBUG") then {_debug = ["init.sqf: execVM CEG_script.sqf."] call LGD_fnc_debugMessage;}; //DEBUG